Skip to main content
POST
/
advertisers
/
{advertiserId}
/
event-sources
/
sync
Sync event sources
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/event-sources/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account": {
    "account_id": "12345"
  },
  "event_sources": [
    {
      "event_source_id": "website_pixel",
      "name": "Website Pixel",
      "event_types": [
        "purchase",
        "add_to_cart"
      ],
      "allowed_domains": [
        "shop.example.com",
        "checkout.example.com"
      ]
    }
  ]
}
'
{
  "event_sources": [
    {
      "event_source_id": "<string>",
      "action": "created",
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Body

application/json

Request body for syncing event sources (ADCP spec)

account
object
required

Advertiser account to sync event sources onto

event_sources
object[]
required

Event sources to sync (up to 50 per call)

Required array length: 1 - 50 elements
delete_missing
boolean
default:false

Archive buyer-managed event sources not included in this request

Response

Sync event sources

Response from sync_event_sources

event_sources
object[]
required

Per-source sync results